
<p>
    Na ovoj stranici možete isprobati različite transformacije primijenjene na razne objekte (slovo F, točka, poligon i slične). Demonstracija se sastoji od platna, konzole te transformacijske matrice.
    Platno služi za prikaz svih odabranih objekata u 2D prostoru. Nakon odabira objekata za prikaz na sve objekte primjenjuje se transformacijska matrica koja se nalazi lijevo od platna i njezina inicijalna vrijednost jest jedinična matrica (engl. identity matrix).
    U konzolu možete unositi naredbe (koje su opisane u uputi ispod konzole) te ih izvršavati pritiskom na tipku enter. Ako upišete nedozvoljenu operaciju, naredbu ili nedozvoljenu vrijednost u konzoli će se ispisati poruka pogreške.
</p>

<p>
    Osnovni primjer rada s konzolom (više primjera nalazi se pri dnu stranice).
</p>

<div>
<pre>
    <code>
        // izabire samo slovo F za prikaz na platnu, s inicijalnom pozicijom (0, 0)
        select letterF
        // postavlja matricu M<sub>matrix</sub> na umnožak trenutne matrice M<sub>matrix</sub> s matricom rotacije
        matrix = matrix * rotate(45)
    </code>
</pre>
Ako u izraz kojim modificirate transformacijsku matricu umjesto znaka = stavite &lt;=, demonstracija će prikazati objekt i prije i nakon transformacije (uz više naredbi &lt;=, sve rezultantne matrice stavljaju se na stog i prikazuju se svi međurezultati).
</div>

@#page-include#(full-app-shaders.html)
@#page-include#(full-raster-sim-hr.html)

<h3>Primjeri za isprobavanje</h3>
<div>
    <pre>
        <code>
            // Naredbe iz primjera utipkajte u konzolu ili ih iskopirajte.
            // Možete iskopirati i više naredaba odjednom ali tada moraju biti razdvojene s ";"
            // Svi primjeri pretpostavljaju da je početno stanje ono koje se dobije kada se učita stranica.

            // Primjer 1.
            select line(1,1,4,1), polyline(0,0, 5,0, 5,4, 0,4, 0, 0), polygon(1,2, 2,2, 2,3, 1,3), polygon(3,2, 4,2, 4,3, 3,3);

            // Primjer 2. Rotacija slova F oko točke (4, 3)
            select letterF;
            matrix = translate(5,4);
            addPoint 4 3 #ff0000 circle;
            m = translate(-4 , -3) * rotate(10) * translate(-4,-3).inv;
            matrix <= matrix * m;
            // zadnju naredbu možete ponoviti proizvoljan broj puta
            // kako bi se vidio efekt rotiranja oko točke.

            // Primjer 3. Razni oblici točaka
            addPoint -5 -5 #00FF00 square;
            addPoint -10 -5 #FF0000 rhombus;
            addPoint -8 -5 #0000FF circle;

            // Primjer 4. Zabavne rotacije
            select rectangle(15, 4, 2, 2) with #FF and #00FF00, point(2, 2), square(-5, -5, 2);
            matrix <= matrix * rotate(15); // Ponovite ovu naredbu više puta

        </code>
    </pre>

</div>

